<app-loading *ngIf="isLoading"></app-loading>
<form nz-form [formGroup]="form">
  <div nz-row [nzGutter]="[24, 16]">
    <div nz-col class="gutter-row" nzLg="24" *ngIf="typeWithdraw === typeWithDrawConst.ORIGINAL">
      <nz-radio-group
        formControlName="proposeWithdrawType"
        class="header-form__radio"
      >
        <label nz-radio [nzValue]="0">{{
          'development.proposed-unit.proposeMultiple.cancelPropose' | translate
        }}</label>
        <label nz-radio [nzValue]="1">{{
          'development.proposed-unit.proposeMultiple.editPropose' | translate
        }}</label>
      </nz-radio-group>
    </div>
    <div nz-col class="gutter-row" nzLg="24">
      <span class="title-section">
        {{ 'development.proposed-unit.proposeMultiple.reason' | translate }}
      </span>
      <textarea
        nz-input
        formControlName="reason"
        placeholder="{{
          'development.proposed-unit.proposeMultiple.reason' | translate
        }}"
        [nzAutosize]="{ minRows: 3, maxRows: 4 }"
        [maxlength]="200"
      ></textarea>
    </div>
    <div nz-col class="gutter-row" nzLg="24">
      <nz-radio-group formControlName="isApproveHcm" class="header-form__radio">
        <label
          nz-radio
          [nzValue]="true"
          [nzDisabled]="checkDisableApproveHCM()"
          >{{
            'development.proposed-unit.reportCard.approveOnHCM' | translate
          }}</label
        >
        <label
          nz-radio
          [nzValue]="false"
          [nzDisabled]="checkDisableApproveHCM()"
          >{{
            'development.proposed-unit.reportCard.notThroughLeader' | translate
          }}</label
        >
      </nz-radio-group>
    </div>
    <ng-container *ngIf="!this.form.get('isApproveHcm')?.value">
      <div nz-col class="gutter-row" nzLg="12">
        <mb-input-text
          *ngIf="typeWithdraw !== typeWithDrawConst.ORIGINAL"
          mbLabelText="{{
            'development.proposed-unit.reportCard.stateNumber' | translate
          }}"
          mbPlaceholderText="{{
            'development.proposed-unit.reportCard.stateNumber' | translate
          }}"
          formControlName="statementNumber"
        >
        </mb-input-text>
      </div>
      <div nz-col class="gutter-row" nzLg="12">
        <mb-date-picker
          *ngIf="typeWithdraw !== typeWithDrawConst.ORIGINAL"
          mbFormat="dd/MM/yyyy"
          mbPlaceholderText="dd/mm/yyyy"
          mbLabelText="{{
            'development.proposed-unit.reportCard.submissionDate' | translate
          }}"
          formControlName="statementDate"
        >
        </mb-date-picker>
      </div>
      <div
        nz-col
        class="gutter-row"
        nzLg="24"
        *ngIf="
          !(
            typeWithdraw === typeWithDrawConst.ELEMENT &&
            this.form.get('isApproveHcm')?.value
          )
        "
      >
        <span class="title-section" *ngIf="typeWithdraw === typeWithDrawConst.ELEMENT">
          {{
            'development.proposed-unit.proposeMultiple.attachApproveLDDV'
              | translate
          }} </span
        ><br />
        <span class="title-section" *ngIf="typeWithdraw === typeWithDrawConst.ORIGINAL">
          {{
          'development.proposed-unit.proposeMultiple.fileAttachApproveOfLDDV'
            | translate
          }} </span> <br>
        <nz-upload
          nzListType="text"
          [(nzFileList)]="fileAttachReport"
          [nzMultiple]="false"
          [nzBeforeUpload]="beforeUploadApproveLDDV"
          [nzDisabled]="fileAttachReport.length === 1"
        >
          <mb-button mbButtonAvailableStyle="PRIMARY">
            <span>
              <em nz-icon nzType="upload"></em>
            </span>
          </mb-button>
        </nz-upload>
      </div>
    </ng-container>
  </div>
</form>

<div class="footer">
  <mb-button
    [mbIsDisable]="isLoading"
    mbButtonAvailableStyle="PRIMARY"
    mbButtonText="{{ 'development.proposed-unit.button.save' | translate }}"
    (click)="submit()"
  ></mb-button>
  <mb-button
    mbButtonAvailableStyle="BtnCancelHasBorder"
    mbButtonText="{{ 'development.proposed-unit.button.cancel2' | translate }}"
    (click)="closeModal()"
  >
  </mb-button>
</div>
